%define		pkgname	hashed-storage
Summary:	Hashed file storage support code
Name:		ghc-%{pkgname}
Version:	0.5.10
Release:	2
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	67d8661d191d4b7a8f3ac801783eca87
URL:		http://hackage.haskell.org/package/hashed-storage/
BuildRequires:	ghc >= 7.2
BuildRequires:	ghc-dataenc
BuildRequires:	ghc-extensible-exceptions
BuildRequires:	ghc-mmap >= 1:0.5
BuildRequires:	ghc-zlib
BuildRequires:	rpmbuild(macros) >= 1.608
Requires:	ghc-dataenc
Requires:	ghc-zlib
%requires_eq	ghc
%requires_eq	ghc-mmap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
Support code for reading and manipulating hashed file storage (where
each file and directory is associated with a cryptographic hash, for
corruption-resistant storage and fast comparisons).

The supported storage formats include darcs hashed pristine, a plain
filesystem tree and an indexed plain tree (where the index maintains
hashes of the plain files and directories).

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.hs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc NEWS
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Sat Jun 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-hashed-storage.git;a=log;h=master

* Sat Jun 01 2013 Jan Rękorajski <baggins@pld-linux.org> aa64b14
- updated BRs
- rel 2

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> 2697a16
- up to 0.5.10
- fixed doc install

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> 92bfa2e
- fix R/BR

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> f8ca88d
- 0.5.8

* Mon Feb 28 2011 Elan Ruusamäe <glen@pld-linux.org> a34b112
- update packaging, %requires_eq dep on ghc

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> f0a95bb
- release 3

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> 006749f
- use %ghc_pkg_recache macro; make url copyable; %ghcdir in rpmbuild macros

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> 2248e94
- release 2

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> c3c6c20
- requires_releq due to very unique ids in packages built with ghc 6.12+

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 71ff27f
- rel 1
- R build-time ghc-mmap version

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 9b4f2cd
- 0.5.2

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 0026e00
- updated packaging to new template (ghc 6.12.3+)

* Sat Apr 10 2010 Jan Rękorajski <baggins@pld-linux.org> 2fb54a9
- rel 2
- fixed BR/R

* Sat Apr 10 2010 Jan Rękorajski <baggins@pld-linux.org> fc7f37d
- 0.4.10
- spec updated according to template

* Thu Apr 08 2010 Jan Rękorajski <baggins@pld-linux.org> 90d4259
- renamed to ghc-hashed-storage

* Thu Nov 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a652800
- more BR

* Thu Nov 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e2f173b
- raw

